body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background: linear-gradient(to bottom right, #0077be, #00c6ff);
    background-image: url('../image/travel-background.jpg'); /* Add a travel-themed background image */
    background-size: cover; /* Cover the entire background */
    background-position: center; /* Center the image */
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.login-form {
    background: rgba(255, 255, 255, 0.8); /* Slightly transparent white for a softer look */
    padding: 40px;
    border-radius: 10px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, .1);
    width: 100%;
    max-width: 400px;
}

.login-form h2 {
    font-size: 24px;
    text-align: center;
}

.form-control {
    margin-bottom: 20px;
    position: relative;
}

.form-control input {
    width: 95%;
    padding: 10px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #ccc;
}

button {
    width: 100%;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    background: linear-gradient(90deg, #6a11cb, #2575fc); /* Gradient button */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background .3s;
}

button:hover {
    background: linear-gradient(90deg, #2575fc, #6a11cb);
}

.forgot-password {
    text-align: center;
    display: block;
    margin-top: 20px;
}

.forgot-password a {
    color: #6a11cb;
    text-decoration: none;
}

@media screen and (max-width: 600px) {
    .login-form {
        padding: 30px 20px;
    }
}

.logo-container {
    text-align: center;
}

.logo {
    width: 200px;
    height: auto;
}

.form-control input[type=password] {
    padding-right: 10px;
}

.position-absolute {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.error-message {
    color: red;
    text-align: center;
    width: 100%;
    margin: 0 auto;
}
